AurionAI Docs

Mcp Invoke

JSON-RPC 2.0 compatible MCP tool invocation endpoint. Issue #539 Phase 5: Maps MCP tool names to AurionAI CS internal service calls. This endpoint is called by the voice agent's McpHttpClient when integration_type='internal'. Tool mappings: search_tickets / cs_search_tickets -> search conversations create_ticket / cs_create_ticket -> create conversation update_ticket / cs_update_ticket -> update conversation add_ticket_note / cs_add_ticket_note -> add message close_ticket / cs_close_ticket -> close conversation get_my_tickets / cs_get_my_tickets -> list by contact search_kb / cs_search_knowledge_base -> search KB articles escalate_to_human -> reassign to human agent get_ticket / cs_get_ticket -> get conversation

POST
/api/internal/mcp/invoke

JSON-RPC 2.0 compatible MCP tool invocation endpoint.

Issue #539 Phase 5: Maps MCP tool names to AurionAI CS internal service calls. This endpoint is called by the voice agent's McpHttpClient when integration_type='internal'.

Tool mappings: search_tickets / cs_search_tickets -> search conversations create_ticket / cs_create_ticket -> create conversation update_ticket / cs_update_ticket -> update conversation add_ticket_note / cs_add_ticket_note -> add message close_ticket / cs_close_ticket -> close conversation get_my_tickets / cs_get_my_tickets -> list by contact search_kb / cs_search_knowledge_base -> search KB articles escalate_to_human -> reassign to human agent get_ticket / cs_get_ticket -> get conversation

Header Parameters

X-Internal-Secret?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/internal/mcp/invoke" \  -H "Content-Type: application/json" \  -d '{    "tool": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}